## pam helper-1.0

=== Makefile ===
# $MCom: pam_helper/Makefile,v 1.2 2008/08/09 07:43:59 marcus Exp $

.include <bsd.own.mk>

PROG=	pam_helper
BINOWN=	root
BINMODE=4555
DPADD=	${LIBPAM}
LDADD=	${MINUSLPAM}
WARNS?=	6

MK_MAN=	no
NO_MAN=	yes

PREFIX?=	/usr/local
BINDIR=		${PREFIX}/bin

.include <bsd.prog.mk>

## pam keystore-0.1.3

=== Makefile ===
INSTALL	:= install
DESTDIR	:=
PIC	:= -fPIC
LD_D	:= $(CC) -shared
CFLAGS	:=
SHARE	:= -g $(PIC)


pam_keystore: pam_keystore.c
	$(CC) $(CFLAGS) $(SHARE) -c pam_keystore.c -o pam_keystore.o
	$(LD_D)  -o pam_keystore.so pam_keystore.o  -lc  -lkeyutils -lpam

clean: pam_keystore.so pam_keystore.o
	$(RM) pam_keystore.o
	$(RM) pam_keystore.so
	
install: pam_keystore.so
	$(INSTALL) -D -m 0755 pam_keystore.so $(DESTDIR)/lib/security/pam_keystore.so

uninstall: $(DESTDIR)/lib/security/pam_keystore.so
	$(RM) $(DESTDIR)/lib/security/pam_keystore.so

## pam localuser

=== Makefile ===
# $Id: Makefile,v 1.3 2001/01/05 00:14:42 nalin Exp $
#
# This Makefile controls a build process of $(TITLE) module for
# Linux-PAM. You should not modify this Makefile (unless you know
# what you are doing!).
#
#

include ../../Make.Rules

TITLE=pam_localuser
MAN8=pam_localuser.8

include ../Simple.Rules

## pam mktemp-1.0.3

=== Makefile ===
#
# Copyright (c) 2000,2003 by Solar Designer. See LICENSE.
#

CC = gcc
LD = $(CC)
RM = rm -f
MKDIR = mkdir -p
INSTALL = install -c
CFLAGS = -Wall -O2 -fPIC
LDFLAGS = -s --shared -Wl,--version-script,$(MAP)
LDLIBS = -lpam

TITLE = pam_mktemp
PAM_SO_SUFFIX =
LIBSHARED = $(TITLE).so$(PAM_SO_SUFFIX)
SHLIBMODE = 755
SECUREDIR = /lib/security
DESTDIR =

OBJS = pam_mktemp.o
MAP = pam_mktemp.map

all: $(LIBSHARED)

pam_mktemp.so: $(OBJS) $(MAP)
	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o pam_mktemp.so

.c.o:
	$(CC) $(CFLAGS) -c $*.c

install:
	$(MKDIR) $(DESTDIR)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(DESTDIR)$(SECUREDIR)

remove:
	$(RM) $(DESTDIR)$(SECUREDIR)/$(TITLE).so

clean:
	$(RM) $(LIBSHARED) *.o

## pam mktemp-1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #
-# Copyright (c) 2000,2003 by Solar Designer. See LICENSE.
+# Copyright (c) 2000,2003 by Solar Designer
+# Copyright (c) 2006,2010 by Dmitry V. Levin
+# See LICENSE
 #
 
 CC = gcc
@@ -11,6 +13,13 @@
 LDFLAGS = -s --shared -Wl,--version-script,$(MAP)
 LDLIBS = -lpam
 
+# This requires GNU make
+ifeq ($(shell uname -s),SunOS)
+# We support Sun's older /usr/ucb/install, but not the newer /usr/sbin/install
+	override INSTALL = /usr/ucb/install -c
+	override LDFLAGS = -G
+endif
+
 TITLE = pam_mktemp
 PAM_SO_SUFFIX =
 LIBSHARED = $(TITLE).so$(PAM_SO_SUFFIX)
@@ -20,6 +29,15 @@
 
 OBJS = pam_mktemp.o
 MAP = pam_mktemp.map
+
+ifeq ($(USE_SELINUX),1)
+	override CFLAGS += -DUSE_SELINUX=1
+	override LDLIBS += -lselinux
+endif
+
+ifeq ($(USE_APPEND_FL),1)
+	override CFLAGS += -DUSE_APPEND_FL=1
+endif
 
 all: $(LIBSHARED)

## pam modules-13

=== Makefile ===
# Copyright 1998 Juniper Networks, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/Makefile,v 1.14 2001/08/02 19:01:02 markm Exp $

SUBDIR+=	pam_deny
SUBDIR+=	pam_ftp
.if defined(MAKE_KERBEROS4) && !defined(NOCRYPT) && !defined(NO_OPENSSL)
SUBDIR+=	pam_kerberosIV
.endif
.if defined(MAKE_KERBEROS5) && !defined(NOCRYPT) && !defined(NO_OPENSSL)
SUBDIR+=	pam_krb5
.endif
SUBDIR+=	pam_nologin
SUBDIR+=	pam_opie
SUBDIR+=	pam_permit
SUBDIR+=	pam_radius
SUBDIR+=	pam_rootok
SUBDIR+=	pam_securetty
.if !defined(NOCRYPT) && !defined(NO_OPENSSL) && !defined(NO_OPENSSH)
SUBDIR+=	pam_ssh
.endif
SUBDIR+=	pam_tacplus
SUBDIR+=	pam_unix
SUBDIR+=	pam_wheel

.include <bsd.subdir.mk>

=== pam_deny/Makefile ===
# Copyright 1999 Max Khon.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_deny/Makefile,v 1.4 2001/07/09 18:20:34 markm Exp $

LIB=		pam_deny
SHLIB_NAME=	pam_deny.so
SRCS=		pam_deny.c
MAN=		pam_deny.8

.include <bsd.lib.mk>

=== pam_directoryservice/Makefile ===
# Copyright 1998 Juniper Networks, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_directoryservice/Makefile,v 1.4 1999/09/30 18:53:34 markm Exp $

PAMDIR=		${.CURDIR}/../../../../contrib/libpam

LIB=		pam_directoryservice
SHLIB_NAME=	pam_directoryservice.so
SRCS=		pam_directoryservice.c
CFLAGS+=	-Wall
CFLAGS+=	-I${PAMDIR}/libpam/include
CFLAGS+=	-I${.CURDIR}/../../libpam
DPADD+=		${LIBUTIL} ${LIBGCC_PIC} ${LIBCRYPT}
LDADD+=		-lutil -lgcc_pic -lcrypt
INTERNALLIB=	yes
INTERNALSTATICLIB=yes

.include <bsd.lib.mk>

=== pam_ftp/Makefile ===
# Copyright 2001 Mark R V Murray
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD: src/lib/libpam/modules/pam_ftp/Makefile,v 1.2 2001/07/09 18:20:35 markm Exp $

LIB=		pam_ftp
SHLIB_NAME=	pam_ftp.so
SRCS=		pam_ftp.c
MAN=		pam_ftp.8

.include <bsd.lib.mk>

=== pam_kerberosIV/Makefile ===
# Copyright 1998 Juniper Networks, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_kerberosIV/Makefile,v 1.8 2001/08/04 21:49:30 markm Exp $

LIB=		pam_kerberosIV
SHLIB_NAME=	pam_kerberosIV.so
SRCS=		pam_kerberosIV.c klogin.c
CFLAGS+=	-DKERBEROS
DPADD=		${LIBKRB} ${LIBCRYPTO} ${LIBCOM_ERR}
LDADD=		-lkrb -lcrypto -lcom_err

.include <bsd.lib.mk>

=== pam_keychain/Makefile ===
# Copyright 1998 Juniper Networks, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_keychain/Makefile,v 1.4 1999/09/30 18:53:34 markm Exp $

PAMDIR=		${.CURDIR}/../../../../contrib/libpam

LIB=		pam_keychain
SHLIB_NAME=	pam_keychain.so
SRCS=		pam_keychain.c
CFLAGS+=	-Wall
CFLAGS+=	-I${PAMDIR}/libpam/include
CFLAGS+=	-I${.CURDIR}/../../libpam
DPADD+=		${LIBUTIL} ${LIBGCC_PIC} ${LIBCRYPT}
LDADD+=		-lutil -lgcc_pic -lcrypt
INTERNALLIB=	yes
INTERNALSTATICLIB=yes

.include <bsd.lib.mk>

=== pam_krb5/Makefile ===
# Copyright 2001 FreeBSD, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_krb5/Makefile,v 1.3 2001/08/10 19:24:34 markm Exp $

LIB=		pam_krb5
SHLIB_NAME=	pam_krb5.so
SRCS=		pam_krb5.c
DPADD=		${LIBKRB5} ${LIBGSSAPI} ${LIBASN1} ${LIBCRYPTO} ${LIBCRYPT} \
		${LIBCOM_ERR} ${LIBROKEN}
LDADD=		-lkrb5 -lgssapi -lasn1 -lcrypto -lcrypt -lcom_err \
		-L${.OBJDIR}/../../../../kerberos5/lib/libroken -lroken 
MAN=		pam_krb5.8

.include <bsd.lib.mk>

=== pam_netinfo/Makefile ===
PAMDIR=		${.CURDIR}/../../../../contrib/libpam

LIB=		pam_netinfo
SHLIB_NAME=	pam_netinfo.so
SRCS=		pam_netinfo.c
CFLAGS+=	-Wall
CFLAGS+=	-I${PAMDIR}/libpam/include
CFLAGS+=	-I${.CURDIR}/../../libpam
DPADD+=		${LIBUTIL} ${LIBGCC_PIC} ${LIBCRYPT}
LDADD+=		-lnetinfo
INTERNALLIB=	yes
INTERNALSTATICLIB=yes

.include <bsd.lib.mk>

=== pam_nis/Makefile ===
PAMDIR=		${.CURDIR}/../../../../contrib/libpam

LIB=		pam_nis
SHLIB_NAME=	pam_nis.so
SRCS=		pam_nis.c
CFLAGS+=	-Wall
CFLAGS+=	-I${PAMDIR}/libpam/include
CFLAGS+=	-I${.CURDIR}/../../libpam
DPADD+=		${LIBUTIL} ${LIBGCC_PIC} ${LIBCRYPT}
LDADD+=	
INTERNALLIB=	yes
INTERNALSTATICLIB=yes

.include <bsd.lib.mk>

=== pam_nologin/Makefile ===
# Copyright 2001 Mark R V Murray
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD: src/lib/libpam/modules/pam_nologin/Makefile,v 1.3 2001/07/09 18:20:39 markm Exp $

LIB=		pam_nologin
SHLIB_NAME=	pam_nologin.so
SRCS=		pam_nologin.c
MAN=		pam_nologin.8

.include <bsd.lib.mk>

=== pam_opie/Makefile ===
# Copyright 2000 James Bloom
# All rights reserved.
# Based upon code Copyright 1998 Juniper Networks, Inc.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_opie/Makefile,v 1.4 2001/07/09 18:20:39 markm Exp $

LIB=		pam_opie
SHLIB_NAME=	pam_opie.so
SRCS=		pam_opie.c
DPADD=		${LIBOPIE}
LDADD=		-lopie
MAN=		pam_opie.8

.include <bsd.lib.mk>

=== pam_permit/Makefile ===
# Copyright 1999 Max Khon.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_permit/Makefile,v 1.4 2001/07/09 18:20:40 markm Exp $

LIB=		pam_permit
SHLIB_NAME=	pam_permit.so
SRCS=		pam_permit.c
MAN=		pam_permit.8

.include <bsd.lib.mk>

## pam modules-17

=== pam_afpmount/Makefile ===
# Copyright 1998 Juniper Networks, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#	$FreeBSD: src/lib/libpam/modules/pam_afpmount/Makefile,v 1.8 2001/08/26 17:41:13 markm Exp $

LIB=		pam_afpmount
SHLIB_NAME=	pam_afpmount.so
SRCS=		pam_afpmount.c
DPADD=		${LIBKRB} ${LIBCRYPTO} ${LIBCOM_ERR}
LDADD=		-lkrb -lcrypto -lcom_err

.include <bsd.lib.mk>

## pam modules-17.1

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 #
 #	$FreeBSD: src/lib/libpam/modules/Makefile,v 1.14 2001/08/02 19:01:02 markm Exp $
 
+SUBDIR+=	pam_afpmount
 SUBDIR+=	pam_deny
 SUBDIR+=	pam_ftp
 .if defined(MAKE_KERBEROS4) && !defined(NOCRYPT) && !defined(NO_OPENSSL)

=== pam_afpmount/Makefile ===


## pam mysql

=== Makefile ===
ifndef FULL_LINUX_PAM_SOURCE_TREE
MYSQLINC = /usr/local/sql/include
MYSQLLIB =/usr/local/sql/lib 

export DYNAMIC=-DPAM_DYNAMIC
export CC=gcc
export CFLAGS=-O2 -Dlinux -DLINUX_PAM \
       -ansi -D_POSIX_SOURCE -Wall -Wwrite-strings \
       -Wpointer-arith -Wcast-qual -Wcast-align -Wtraditional \
       -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Winline \
       -Wshadow -pedantic -fPIC -I${MYSQLINC}
export MKDIR=mkdir -p
export LD_D=gcc -shared -Xlinker -x -L${MYSQLLIB} -lmysqlclient
endif

#

TITLE=pam_mysql

#

LIBSRC = $(TITLE).c
LIBOBJ = $(TITLE).o
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))
LIBOBJS = $(addprefix static/,$(LIBOBJ))

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(STATIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@


ifdef DYNAMIC
LIBSHARED = $(TITLE).so
endif
ifdef STATIC
LIBSTATIC = lib$(TITLE).o
endif

####################### don't edit below #######################

dummy:
	@echo "**** This is not a top-level Makefile "
	exit

all: dirs $(LIBSHARED) $(LIBSTATIC) register

dirs:
ifdef DYNAMIC
	$(MKDIR) ./dynamic
endif
ifdef STATIC
	$(MKDIR) ./static
endif

register:
ifdef STATIC
	( cd .. ; ./register_static $(TITLE) $(TITLE)/$(LIBSTATIC) )
endif

ifdef DYNAMIC
$(LIBOBJD): $(LIBSRC)

$(LIBSHARED):	$(LIBOBJD)
		$(LD_D) -o $@ $(LIBOBJD)
endif

ifdef STATIC
$(LIBOBJS): $(LIBSRC)

$(LIBSTATIC): $(LIBOBJS)
	$(LD) -r -o $@ $(LIBOBJS)
endif

install: all
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
ifdef DYNAMIC
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
endif

remove:
	rm -f $(FAKEROOT)$(SECUREDIR)/$(TITLE).so

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) core *~

extraclean: clean
	rm -f *.a *.o *.so *.bak

.c.o:	
	$(CC) $(CFLAGS) -c $<

## pam netid

=== Makefile ===

LIBS=-lpam

netid: pam_netid.c
	$(CC) $(CFLAGS) -DPROG -o $@ $<

pam_netid.so: pam_netid.o
	$(LD) -x --shared -o $@ $< $(LIBS)

pam_netid.o: pam_netid.c
	$(CC) -fPIC -c $(CFLAGS) $<

clean:
	rm -f pam_netid.o pam_netid.so netid *~ core

## pam passwdqc-0.3

=== Makefile ===
#
# Copyright (c) 2000 by Solar Designer. See LICENSE.
#

CC = gcc
LD = ld
RM = rm -f
MKDIR = mkdir -p
INSTALL = install
CFLAGS = -c -Wall -O2 -fPIC
LDFLAGS = -s -lpam --shared

TITLE = pam_passwdqc
LIBSHARED = $(TITLE).so
SHLIBMODE = 700
SECUREDIR = /lib/security
FAKEROOT =

OBJS = pam_passwdqc.o passwdqc_check.o passwdqc_random.o wordset_4k.o

all: $(LIBSHARED)

pam_passwdqc.so: $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o pam_passwdqc.so

.c.o:
	$(CC) $(CFLAGS) $*.c

pam_passwdqc.o: passwdqc.h pam_macros.h
passwdqc_check.o: passwdqc.h
passwdqc_random.o: passwdqc.h

install:
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)

remove:
	$(RM) $(FAKEROOT)$(SECUREDIR)/$(TITLE).so

clean:
	$(RM) $(LIBSHARED) *.o

## pam passwdqc-1.0.2

=== Makefile ===
#
# Copyright (c) 2000-2003,2005 by Solar Designer. See LICENSE.
#

CC = gcc
LD = $(CC)
RM = rm -f
MKDIR = mkdir -p
INSTALL = install -c
CFLAGS = -Wall -fPIC -O2
LDFLAGS = -s --shared -lpam -lcrypt
LDFLAGS_SUN = -s -G -lpam -lcrypt
LDFLAGS_HP = -s -b -lpam -lsec

# Uncomment this to use cc instead of gcc
#CC = cc
# Uncomment this to use Sun's C compiler flags
#CFLAGS = -KPIC -xO2
# Uncomment this to use HP's ANSI C compiler flags
#CFLAGS = -Ae +w1 +W 474,486,542 +z +O2

TITLE = pam_passwdqc
LIBSHARED = $(TITLE).so
SHLIBMODE = 755
MAN8 = $(TITLE).8
MANMODE = 644
SECUREDIR = /lib/security
MANDIR = /usr/share/man
DESTDIR =

PROJ = $(LIBSHARED)
OBJS = pam_passwdqc.o passwdqc_check.o passwdqc_random.o wordset_4k.o

all:
	if [ "`uname -s`" = "Linux" ]; then \
		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" $(PROJ); \
	elif [ "`uname -s`" = "SunOS" ]; then \
		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
			LD=ld LDFLAGS="$(LDFLAGS_SUN)" $(PROJ); \
	elif [ "`uname -s`" = "HP-UX" ]; then \
		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
			LD=ld LDFLAGS="$(LDFLAGS_HP)" $(PROJ); \
	else \
		$(MAKE) $(PROJ); \
	fi

$(LIBSHARED): $(OBJS)
	$(LD) $(LDFLAGS) $(OBJS) -o $(LIBSHARED)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

pam_passwdqc.o: passwdqc.h pam_macros.h
passwdqc_check.o: passwdqc.h
passwdqc_random.o: passwdqc.h

install:
	$(MKDIR) $(DESTDIR)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(DESTDIR)$(SECUREDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m $(MANMODE) $(MAN8) $(DESTDIR)$(MANDIR)/man8/

remove:
	$(RM) $(DESTDIR)$(SECUREDIR)/$(LIBSHARED)
	$(RM) $(DESTDIR)$(MANDIR)/man8/$(MAN8)

clean:
	$(RM) $(PROJ) *.o

## pam passwdqc-1.0.4

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,14 @@
 MKDIR = mkdir -p
 INSTALL = install -c
 CFLAGS = -Wall -fPIC -O2
-LDFLAGS = -s --shared -lpam -lcrypt
-LDFLAGS_SUN = -s -G -lpam -lcrypt
-LDFLAGS_HP = -s -b -lpam -lsec
+LDFLAGS = -s --shared
+LDFLAGS_LINUX = -s --shared -Wl,--version-script,$(MAP)
+LDFLAGS_SUN = -s -G
+LDFLAGS_HP = -s -b
+LDLIBS = -lpam -lcrypt
+LDLIBS_LINUX = -lpam -lcrypt
+LDLIBS_SUN = -lpam -lcrypt
+LDLIBS_HP = -lpam -lsec
 
 # Uncomment this to use cc instead of gcc
 #CC = cc
@@ -20,7 +25,8 @@
 #CFLAGS = -Ae +w1 +W 474,486,542 +z +O2
 
 TITLE = pam_passwdqc
-LIBSHARED = $(TITLE).so
+PAM_SO_SUFFIX =
+LIBSHARED = $(TITLE).so$(PAM_SO_SUFFIX)
 SHLIBMODE = 755
 MAN8 = $(TITLE).8
 MANMODE = 644
@@ -30,22 +36,27 @@
 
 PROJ = $(LIBSHARED)
 OBJS = pam_passwdqc.o passwdqc_check.o passwdqc_random.o wordset_4k.o
+MAP = pam_passwdqc.map
 
 all:
 	if [ "`uname -s`" = "Linux" ]; then \
-		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" $(PROJ); \
+		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+			LDFLAGS="$(LDFLAGS_LINUX)" LDLIBS="$(LDLIBS_LINUX)" \
+			$(PROJ); \
 	elif [ "`uname -s`" = "SunOS" ]; then \
 		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
-			LD=ld LDFLAGS="$(LDFLAGS_SUN)" $(PROJ); \
+			LD=ld LDFLAGS="$(LDFLAGS_SUN)" LDLIBS="$(LDLIBS_SUN)" \
+			$(PROJ); \
 	elif [ "`uname -s`" = "HP-UX" ]; then \
 		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
-			LD=ld LDFLAGS="$(LDFLAGS_HP)" $(PROJ); \
+			LD=ld LDFLAGS="$(LDFLAGS_HP)" LDLIBS="$(LDLIBS_HP)" \
+			$(PROJ); \
 	else \
 		$(MAKE) $(PROJ); \
 	fi
 
-$(LIBSHARED): $(OBJS)
-	$(LD) $(LDFLAGS) $(OBJS) -o $(LIBSHARED)
+$(LIBSHARED): $(OBJS) $(MAP)
+	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o $(LIBSHARED)
 
 .c.o:
 	$(CC) $(CFLAGS) -c $*.c

## pam passwdqc-1.0.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2000-2003,2005 by Solar Designer. See LICENSE.
+# Copyright (c) 2000-2003,2005 by Solar Designer.  See LICENSE.
 #
 
 CC = gcc
@@ -8,10 +8,10 @@
 MKDIR = mkdir -p
 INSTALL = install -c
 CFLAGS = -Wall -fPIC -O2
-LDFLAGS = -s --shared
-LDFLAGS_LINUX = -s --shared -Wl,--version-script,$(MAP)
-LDFLAGS_SUN = -s -G
-LDFLAGS_HP = -s -b
+LDFLAGS = --shared
+LDFLAGS_LINUX = --shared -Wl,--version-script,$(MAP)
+LDFLAGS_SUN = -G
+LDFLAGS_HP = -b
 LDLIBS = -lpam -lcrypt
 LDLIBS_LINUX = -lpam -lcrypt
 LDLIBS_SUN = -lpam -lcrypt
@@ -39,21 +39,18 @@
 MAP = pam_passwdqc.map
 
 all:
-	if [ "`uname -s`" = "Linux" ]; then \
-		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+	case "`uname -s`" in \
+	Linux)	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
 			LDFLAGS="$(LDFLAGS_LINUX)" LDLIBS="$(LDLIBS_LINUX)" \
-			$(PROJ); \
-	elif [ "`uname -s`" = "SunOS" ]; then \
-		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+			$(PROJ);; \
+	SunOS)	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
 			LD=ld LDFLAGS="$(LDFLAGS_SUN)" LDLIBS="$(LDLIBS_SUN)" \
-			$(PROJ); \
-	elif [ "`uname -s`" = "HP-UX" ]; then \
-		$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+			$(PROJ);; \
+	HP-UX)	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
 			LD=ld LDFLAGS="$(LDFLAGS_HP)" LDLIBS="$(LDLIBS_HP)" \
-			$(PROJ); \
-	else \
-		$(MAKE) $(PROJ); \
-	fi
+			$(PROJ);; \
+	*)	$(MAKE) $(PROJ);; \
+	esac
 
 $(LIBSHARED): $(OBJS) $(MAP)
 	$(LD) $(LDFLAGS) $(OBJS) $(LDLIBS) -o $(LIBSHARED)

## pam reattach-1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(reattach C)

option(ENABLE_PAM "Build PAM module that reattaches on authentication" ON)
option(ENABLE_CLI "Build CLI application that reattaches" OFF)


add_library(reattach include/reattach.h src/reattach.c src/xpc.h src/bootstrap.h)
target_include_directories(reattach PUBLIC include)
target_compile_options(reattach PRIVATE -Wall -Werror)
set_target_properties(reattach PROPERTIES
	PUBLIC_HEADER "include/reattach.h"
	C_STANDARD 90
)
install(
	TARGETS reattach
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	PUBLIC_HEADER DESTINATION include/
)
install(FILES man/reattach_aqua.3 DESTINATION "share/man/man3")

if (ENABLE_PAM)
	# Locate PAM dependency
	set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)
	find_package(PAM REQUIRED)

	add_library(pam_reattach MODULE src/pam.c)
    target_compile_options(pam_reattach PRIVATE -Wall -Werror)
	set_target_properties(pam_reattach PROPERTIES PREFIX "") # Remove lib prefix
	target_link_libraries(pam_reattach reattach pam)
	install(TARGETS pam_reattach DESTINATION lib/pam)
	install(FILES man/pam_reattach.8 DESTINATION "share/man/man8")
endif()

if (ENABLE_CLI)
	add_executable(reattach-to-session-namespace src/cli.c)
    target_compile_options(reattach-to-session-namespace PRIVATE -Wall -Werror)
	target_link_libraries(reattach-to-session-namespace reattach)
	install(TARGETS reattach-to-session-namespace DESTINATION bin)
	install(FILES man/reattach-to-session-namespace.8 DESTINATION "share/man/man8")
endif()

## pam siegho

=== Makefile ===
# pam_sieĝo: PAM modulo por defendi vian kastelon
# Copyright (C) 2005 Maarten Deprez
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

CFLAGS=-O3 -Wall
LIBS=-lpam

pam_siegho.so: pam_siegho.c
	gcc -o $@ -shared $(CFLAGS) $< $(LIBS)
	chmod -x $@

## pam smb-1.3.6a

=== pamsmbd/Makefile ===


OBJS = server.o pam_read_conf.o pam_map_user.o cache.o

INCLUDE = -I../include

CFLAGS = ${INCLUDE} 
TARGET = pamsmbd

${TARGET}: ${OBJS} ../smbval/smbvalid.a
	$(CC) -g -o ${TARGET} ${INCLUDE} ${OBJS} ../smbval/smbvalid.a -ldb $(DLIBS) 

clean:
	rm -f ${TARGET} ${OBJS}

install:
	${INSTALL} -s -m 755 -g bin -o bin pamsmbd ${INSTALLDIR}/pamsmbd

=== smbval/Makefile ===
# makefile for smblib
# Type make system, where system is ULTRIX, DU, DECOSF1, Solaris etc
AR = ar

INCLUDES = smblib.h smblib-priv.h

RFCNB = session.o rfcnb-util.o rfcnb-io.o

OBJS = smblib.o smblib-util.o file.o smb-errors.o exper.o smblib-api.o smbencrypt.o smbdes.o md4.o

VALIDATE = valid.o session.o rfcnb-util.o \
           rfcnb-io.o smblib-util.o smblib.o smbencrypt.o smbdes.o md4.o

# valid.o

.SUFFIXES: .c .o .h

dummy: all

smbvalid.a:	$(VALIDATE) 
	$(AR) rcs smbvalid.a $(VALIDATE)

all: smbvalid.a

.c.o:	$(INCLUDES)
	@echo Compiling $*.c
	$(CC) -I../include $(CFLAGS) -c $*.c

clean:
	rm -f *.o smbvalid.a

install:

## pam smb-1.3.6b

=== pamsmbm/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# This makefile contains the make stuff for pam_smb v1.0
# Run configure to produce a Makefile
#
#

CFLAGS = -DHAVE_CONFIG_H -I../include -I..

LIBAUTHSH = pam_smb_auth$(SHLIB_SUFFIX)

LIBAUTHOBJ = pam_smb_auth.o support.o $(MOBJS)
LIBAUTHSRC = pam_smb_auth.c support.c $(MSRCS)
LIBOBJ = $(LIBAUTHOBJ) 
LIBSRC = $(LIBAUTHSRC)

LIBSHARED = $(LIBAUTHSH) 

%.o : %.c
	$(CC) $(CFLAGS) $(SHLIB_CFLAGS) $(DYNAMIC) $(CPPFLAGS) -c $< -o $@


########################### don't edit below #######################

dummy: all
info:
	@echo
	@echo "*** Building pam-smb(alpha) module of the framework..."
	@echo "Contact: David.Airlie@ul.ie"
	@echo

all: $(LIBSHARED) Makefile

$(LIBOBJD): $(LIBSRC)

$(LIBAUTHSH):	$(LIBAUTHSRC) $(LIBOBJ) 
		$(SHLIB_LD) $(LD_FLAGS) -o $@ $(LIBAUTHOBJ) $(EXTRALIBS)

clean:
	rm -f $(LIBAUTHSH) $(LIBAUTHOBJ) a.out core *~

install:
	$(INSTALL) -m 644 -o root -g root $(LIBAUTHSH) /lib/security/pam_smb_auth.so

extraclean: clean
	rm -f *.a *.out *.o *.so

.c.o:	
	$(CC) -c $(CFLAGS) $<

## pam smb-1.9.8

=== pamsmbd/Makefile ===


OBJS = server.o pam_read_conf.o map_user.o cache.o

INCLUDE = -I../include -I../tdb

CFLAGS += ${INCLUDE} 
TARGET = pamsmbd

${TARGET}: ${OBJS} ../smbval/smbvalid.a ../tdb/tdb.o
	$(CC) -g -o ${TARGET} ${INCLUDE} ${OBJS} ../tdb/tdb.o ../smbval/smbvalid.a $(DLIBS) 

clean:
	rm -f ${TARGET} ${OBJS}

install:
	${INSTALL} -s -m 755 -g bin -o bin pamsmbd ${INSTALLDIR}/pamsmbd

=== pamsmbm/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# Generated automatically from Makefile.in by configure.
 #
 # This makefile contains the make stuff for pam_smb v1.0
 # Run configure to produce a Makefile
@@ -23,13 +22,11 @@
 ########################### don't edit below #######################
 
 dummy: all
-info:
-	@echo
-	@echo "*** Building pam-smb(alpha) module of the framework..."
-	@echo "Contact: David.Airlie@ul.ie"
-	@echo
 
 all: $(LIBSHARED) Makefile
+
+smb_auth: smb_auth.o
+	gcc -o smb_auth smb_auth.o queue_valid.o ../smbval/smbvalid.a
 
 $(LIBOBJD): $(LIBSRC)

=== smbval/Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
-# makefile for smblib
-# Type make system, where system is ULTRIX, DU, DECOSF1, Solaris etc
+#
+# makefile for smbval subdirectory 
+# Copyright (c) Dave Airlie 2000 (airlied@samba.org)
+#
+
 AR = ar
 
 INCLUDES = smblib.h smblib-priv.h

=== tdb/Makefile ===


OBJS = tdb.o

INCLUDE = -I../include

CFLAGS += ${INCLUDE}
TARGET = tdb.o

all: ${OBJS}

clean:
	rm -f ${OBJS}

install:

## pam smb-2.0.0-rc6

=== pamsmbd/Makefile ===


OBJS = server.o pam_read_conf.o map_user.o cache.o md5.o md5driver.o

INCLUDE = -I../include -I../tdb

CFLAGS += ${INCLUDE} 
TARGET = pamsmbd

${TARGET}: ${OBJS} ../smbval/smbvalid.a ../tdb/tdb.o ../tdb/spinlock.o
	$(CC) -g -o ${TARGET} ${INCLUDE} ${OBJS} ../tdb/tdb.o ../tdb/spinlock.o ../smbval/smbvalid.a $(DLIBS)

clean:
	rm -f ${TARGET} ${OBJS}

install:
	${INSTALL} -s -m 755 -g bin -o bin pamsmbd ${INSTALLDIR}/pamsmbd

=== tdb/Makefile ===


OBJS = tdb.o spinlock.o

INCLUDE = -I../include

CFLAGS += ${INCLUDE} -DSTANDALONE
TARGET = tdb.o spinlock.o

all: ${OBJS}

clean:
	rm -f ${OBJS}

install:

## pam smtpauth-0.9.6

=== debian/changelog ===
libpam-smtpauth (0.9.5-1) unstable; urgency=low

  * Rebuild package.

 -- Taizo ITO <taizo.ito@hde.co.jp>  Fri, 10 Jul 2009 12:05:59 +0900

Local variables:
mode: debian-changelog
End:

## pam smtpauth-0.9.7

=== debian/changelog ===
libpam-smtpauth (0.9.7-1) unstable; urgency=low

  * Rebuild package.

 -- Taizo ITO <taizo.ito@hde.co.jp>  Fri, 10 Jul 2009 12:05:59 +0900

Local variables:
mode: debian-changelog
End:

## pam smtpauth-0.9.8

=== debian/changelog ===
libpam-smtpauth (0.9.8-1) unstable; urgency=low

  * Rebuild package.

 -- Taizo ITO <taizo.ito@hde.co.jp>  Tue, 19 Jul 2010 12:05:59 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libpam-smtpauth
Build-Depends: debhelper (>= 5.0.22), binutils (>= 2.14.90.0.7), libpam0g-dev
Section: admin
Priority: extra
Maintainer: Taizo ITO <taizo.ito@hde.co.jp>
Standards-Version: 3.1.1.1

Package: libpam-smtpauth
Architecture: any
Depends: ${shlibs:Depends}
Description: Pluggable Authentication Module allowing SMTP authentication interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*- made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL = /bin/sh

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

configure-stamp:
	./configure --prefix=/usr --sysconfdir=/etc --libdir=/lib --enable-debug=no
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	#dh_installdirs lib/security
	make install DESTDIR=`pwd`/debian/tmp 
	#install -m 644 src/pam_smtpauth.so debian/tmp/lib/security
	rm -rf debian/tmp/usr/bin
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README AUTHORS COPYING NEWS
	dh_installchangelogs ChangeLog
	dh_installexamples sample/pam_smtpauth.conf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## pam tacplus-1.4.1

=== debian/changelog ===
libpam-tacplus (1.4.1-1) unstable; urgency=low

  * Added a simple TACACS+ command-line client (tacc)
  * Numerous fixes and clean-ups

 -- Pawel Krawczyk <pawel.krawczyk@hush.com>  Sat, 23 Jul 2016 08:11:00 +0100

libpam-tacplus (1.3.8-2) unstable; urgency=low

  * Added postinst and prerm scripts for pam-auth-update. Closes: #739274

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 17 Feb 2014 18:58:59 +0100

libpam-tacplus (1.3.8-1) unstable; urgency=low

  * New upstream release.
  * Fixed pam-configs. Closes: #717716
  * Added dh-autoreconf. Closes: #734228

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Fri, 31 Jan 2014 12:32:00 +0100

libpam-tacplus (1.3.7-1) unstable; urgency=low

  * New upstream release.
  * Changed compat level to 9 for hardening
  * Fixed license link

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 19 May 2012 19:25:00 +0100

libpam-tacplus (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * Added libpam-runtime support.

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 7 May 2012 21:21:00 +0100

libpam-tacplus (1.3.5-1) unstable; urgency=low

  * First version of pam_tacplus debian package. Closes: #588172

 -- Jeroen Nijhof <jeroen@jeroennijhof.nl>  Mon, 5 Sep 2011 16:01:00 +0100

## pam tacplus-1.5.1

=== debian/control ===
Source: libpam-tacplus
Section: admin
Priority: extra
Maintainer: Jeroen Nijhof <jeroen@jeroennijhof.nl>
Build-Depends: debhelper (>= 9), libpam-dev, dh-autoreconf, autoconf-archive
Standards-Version: 3.9.5
Homepage: https://github.com/jeroennijhof/pam_tacplus

Package: libpam-tacplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime, libtac2
Description: PAM module for using TACACS+ as an authentication service
 This PAM module support authentication, authorization (account management) and
 accounting (session management) performed using TACACS+ protocol designed by
 Cisco.

Package: libtac2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TACACS+ protocol library 
 This library implemenents the fundamentls of the TACACS+ protocol and supports
 authentication, authorization (account management) and accounting (session management).

Package: libtac2-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TACACS+ client program
 Simple command-line client for TACACS+ testing and scripting

Package: libtac-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtac2 (= ${binary:Version}), libc6-dev|libc-dev
Description: Development files for TACACS+ protocol library 
 Contains C header files and development files for libtac, a TACACS+ protocol
 implementation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
SHELL := sh -e

%:
	dh  $@ --with autoreconf

override_dh_clean:
	rm -f config.status config.log
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- --enable-pamdir=/lib/$(DEB_HOST_MULTIARCH)/security --docdir=/usr/share/doc/libpam-tacplus

override_dh_install:
	mkdir -p debian/libpam-tacplus/usr/share/pam-configs
	cp debian/tacplus debian/libpam-tacplus/usr/share/pam-configs/
	dh_install

## pam tacplus-1.6.1

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 Package: libpam-tacplus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime, libtac2
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime, libtac3
 Description: PAM module for using TACACS+ as an authentication service
  This PAM module support authentication, authorization (account management) and
  accounting (session management) performed using TACACS+ protocol designed by
  Cisco.
 
-Package: libtac2
+Package: libtac3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: TACACS+ protocol library 
@@ -30,7 +30,7 @@
 Package: libtac-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtac2 (= ${binary:Version}), libc6-dev|libc-dev
+Depends: ${misc:Depends}, libtac3 (= ${binary:Version}), libc6-dev|libc-dev
 Description: Development files for TACACS+ protocol library 
  Contains C header files and development files for libtac, a TACACS+ protocol
  implementation.

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,10 @@
 	cp debian/tacplus debian/libpam-tacplus/usr/share/pam-configs/
 	dh_install
 
+override_dh_auto_test:
+	mkdir -p /etc/pam.d
+	sudo cp test/test /etc/pam.d/test
+	sudo mkdir -p /etc/tacacs+/
+	sudo cp test/tac_plus.conf /etc/tacacs+
+	dh_auto_test
+	sudo rm -rf /etc/pam.d/test /etc/tacacs+/tac_plus.conf

## pam tacplus-1.7.0

=== debian/changelog ===
libpam-tacplus (1.7.0-1) unstable; urgency=medium

  * libtac: Refactored the complex and overengineered TACACS+ session id generation,
    replacing it with getrandom(2).
  * libtac: gnulib now provides implementation of missing functions.
  * libtac: Removed legacy MD5 code and replaced it with gnulib.
  * libtac: Legacy data structures such as attribute lists were replaced with gnulib structures.
  * libtac: CHAP implementation used a fixed challenge in contradiction with the RFC 1994
    requirement. This was replaced with a pseudo-random challenge generated using getrandom(2).
  * libtac: ABI version set to 5:0:0. From now on, this is the only way to version the library.
    The legacy static variables tac_ver_ were removed as confusing.
  * pam_tacplus: Calling process PID is now used as the task_id attribute in TACACS+
    accounting session. This replaces an overengineered cryptographically random tasks identifiers.
  * libtac: Fix CVE-2016-20014. Closes: #1009966

 -- Pawel Krawczyk <pawel.krawczyk@hush.com>  Sat, 31 Oct 2022 22:44:00 +0100

libpam-tacplus (1.6.2-1) unstable; urgency=medium

  * Fix CVE-2020-27743.
  * Allow selection of source addresses.
  * Support for DSCP marking packets.
  * Make most network requests timeout aware.
  * Fix Debian build scripts.
  * OpenSSL licensing clarifications.
  * Use more neutral terminology.

 -- Pawel Krawczyk <pawel.krawczyk@hush.com>  Tue, 27 Oct 08:39:57 2020 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Jeroen Nijhof <jeroen@jeroennijhof.nl>
-Build-Depends: debhelper (>= 9), libpam-dev, dh-autoreconf, autoconf-archive
+Build-Depends: debhelper (>= 9), libpam-dev, dh-autoreconf, autoconf-archive, gnulib, libtool
 Standards-Version: 3.9.5
 Homepage: https://github.com/jeroennijhof/pam_tacplus

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@

override_dh_clean:
	rm -f config.status config.log
	rm -f m4/* lib/*.c lib/*.h lib/Makefile.gnulib
	dh_clean

override_dh_update_autotools_config:
	gnulib-tool --makefile-name=Makefile.gnulib --libtool --import fcntl crypto/md5 array-list list xlist getrandom realloc-posix explicit_bzero xalloc getopt-gnu

override_dh_auto_configure:
	dh_auto_configure -- --enable-pamdir=/lib/$(DEB_HOST_MULTIARCH)/security --docdir=/usr/share/doc/libpam-tacplus

override_dh_install:
	mkdir -p debian/libpam-tacplus/usr/share/pam-configs
	cp debian/tacplus debian/libpam-tacplus/usr/share/pam-configs/
	dh_install

# check-local target requires a running tac_plus server
override_dh_auto_test:

=== debian/watch ===
version=3

https://github.com/kravietz/pam_tacplus/tags .*/v?(\d[\d\.]+)\.tar\.gz
